GDB (xrefs)

Macros | Functions | Variables
/tmp/gdb-8.1/gdb/bfin-linux-tdep.c File Reference
`#include "defs.h"`
`#include "arch-utils.h"`
`#include "regcache.h"`
`#include "tramp-frame.h"`
`#include "trad-frame.h"`
`#include "osabi.h"`
`#include "xml-syscall.h"`
`#include "linux-tdep.h"`
`#include "bfin-tdep.h"`

Go to the source code of this file.

## Macros
#define | SIGCONTEXT_OFFSET 168

## Functions
static void | bfin_linux_sigframe_init (const struct tramp_frame *self, struct frame_info *this_frame, struct trad_frame_cache *this_cache, CORE_ADDR func)
static LONGEST | bfin_linux_get_syscall_number (struct gdbarch *gdbarch, ptid_t ptid)
static void | bfin_linux_init_abi (struct gdbarch_info info, struct gdbarch *gdbarch)
void | _initialize_bfin_linux_tdep (void)

## Variables
static const int | bfin_linux_sigcontext_reg_offset [BFIN_NUM_REGS]
static const struct tramp_frame | bfin_linux_sigframe

## Macro Definition Documentation

## ◆ SIGCONTEXT_OFFSET

#define SIGCONTEXT_OFFSET 168

Definition at line 34 of file bfin-linux-tdep.c.

Referenced by bfin_linux_sigframe_init().

## Function Documentation

## ◆ _initialize_bfin_linux_tdep()

void _initialize_bfin_linux_tdep | ( | void |  | ) |

Definition at line 165 of file bfin-linux-tdep.c.

References bfin_linux_init_abi(), GDB_OSABI_LINUX, and gdbarch_register_osabi().

## ◆ bfin_linux_get_syscall_number()

static LONGEST bfin_linux_get_syscall_number | ( | struct gdbarch * | gdbarch,
|  | ptid_t | ptid
| ) |  |
| static

Definition at line 130 of file bfin-linux-tdep.c.

References BFIN_P0_REGNUM, extract_signed_integer(), gdbarch_byte_order(), get_thread_regcache(), regcache::ptid(), and regcache_cooked_read().

Referenced by bfin_linux_init_abi().

## ◆ bfin_linux_init_abi()

static void bfin_linux_init_abi | ( | struct gdbarch_info | info,
|  | struct gdbarch * | gdbarch
| ) |  |
| static

Definition at line 151 of file bfin-linux-tdep.c.

References bfin_linux_get_syscall_number(), bfin_linux_sigframe, linux_init_abi(), set_gdbarch_get_syscall_number(), set_xml_syscall_file_name(), and tramp_frame_prepend_unwinder().

Referenced by _initialize_bfin_linux_tdep().

## ◆ bfin_linux_sigframe_init()

static void bfin_linux_sigframe_init | ( | const struct tramp_frame * | self,
|  | struct frame_info * | this_frame,
|  | struct trad_frame_cache * | this_cache,
|  | CORE_ADDR | func
| ) |  |
| static

Definition at line 97 of file bfin-linux-tdep.c.

References bfin_linux_sigcontext_reg_offset, BFIN_NUM_REGS, frame_id_build(), get_frame_pc(), get_frame_sp(), reg_offset, SIGCONTEXT_OFFSET, trad_frame_set_id(), and trad_frame_set_reg_addr().

## Variable Documentation

## ◆ bfin_linux_sigcontext_reg_offset

const int bfin_linux_sigcontext_reg_offset[BFIN_NUM_REGS]
| static

Definition at line 36 of file bfin-linux-tdep.c.

Referenced by bfin_linux_sigframe_init().

## ◆ bfin_linux_sigframe

const struct tramp_frame bfin_linux_sigframe
| static

Initial value:
=
{
SIGTRAMP_FRAME,
4,
{
{ 0x00ADE128, 0xffffffff },
{ 0x00A0, 0xffff },
{ TRAMP_SENTINEL_INSN, -1 },
},
bfin_linux_sigframe_init,
}
TRAMP_SENTINEL_INSN
#define TRAMP_SENTINEL_INSN
Definition: tramp-frame.h:44
SIGTRAMP_FRAME
Definition: frame.h:255
bfin_linux_sigframe_init
static void bfin_linux_sigframe_init(const struct tramp_frame *self, struct frame_info *this_frame, struct trad_frame_cache *this_cache, CORE_ADDR func)
Definition: bfin-linux-tdep.c:97

Definition at line 117 of file bfin-linux-tdep.c.

Referenced by bfin_linux_init_abi().